Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.provider
Class MetaABMItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.util.MetaABMAdapterFactory
              org.metaabm.provider.MetaABMItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class MetaABMItemProviderAdapterFactory

extends org.metaabm.util.MetaABMAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

Constructor Summary
`MetaABMItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createSAgentAdapter()` This creates an adapter for a `SAgent`.
`org.eclipse.emf.common.notify.Adapter` | `createSAttributeAdapter()` This creates an adapter for a `SAttribute`.
`org.eclipse.emf.common.notify.Adapter` | `createSAttributeArrayAdapter()` This creates an adapter for a `SAttributeArray`.
`org.eclipse.emf.common.notify.Adapter` | `createSContextAdapter()` This creates an adapter for a `SContext`.
`org.eclipse.emf.common.notify.Adapter` | `createSContinuousSpaceAdapter()` This creates an adapter for a `SContinuousSpace`.
`org.eclipse.emf.common.notify.Adapter` | `createSGeographyAdapter()` This creates an adapter for a `SGeography`.
`org.eclipse.emf.common.notify.Adapter` | `createSGridAdapter()` This creates an adapter for a `SGrid`.
`org.eclipse.emf.common.notify.Adapter` | `createSImplementationAdapter()` This creates an adapter for a `SImplementation`.
`org.eclipse.emf.common.notify.Adapter` | `createSNetworkAdapter()` This creates an adapter for a `SNetwork`.
`org.eclipse.emf.common.notify.Adapter` | `createSStateAdapter()` This creates an adapter for a `SState`.
`org.eclipse.emf.common.notify.Adapter` | `createSStateValueAdapter()` This creates an adapter for a `SStateValue`.
`org.eclipse.emf.common.notify.Adapter` | `createSStyle2DAdapter()` This creates an adapter for a `SStyle2D`.
`org.eclipse.emf.common.notify.Adapter` | `createSStyle3DAdapter()` This creates an adapter for a `SStyle3D`.
`org.eclipse.emf.common.notify.Adapter` | `createSStyleShapeAdapter()` This creates an adapter for a `SStyleShape`.
`org.eclipse.emf.common.notify.Adapter` | `createSValueLayerAdapter()` This creates an adapter for a `SValueLayer`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`static org.eclipse.emf.common.notify.AdapterFactory` | `getGenericAdapterFactory()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.metaabm.util.MetaABMAdapterFactory
`createAdapter, createEObjectAdapter, createIActAdapter, createIArtifactAdapter, createIIDAdapter, createITypedAdapter, createITypedArrayAdapter, createIValueAdapter, createSActableAdapter, createSAttributedAdapter, createSImplementedAdapter, createSNamedAdapter, createSNDimensionalAdapter, createSProjectionAdapter, createSStyleAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### MetaABMItemProviderAdapterFactory

    public MetaABMItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createSContextAdapter

    public org.eclipse.emf.common.notify.Adapter createSContextAdapter()

  This creates an adapter for a `SContext`.

  Overrides:
    `createSContextAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSAgentAdapter

    public org.eclipse.emf.common.notify.Adapter createSAgentAdapter()

  This creates an adapter for a `SAgent`.

  Overrides:
    `createSAgentAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributeAdapter()

  This creates an adapter for a `SAttribute`.

  Overrides:
    `createSAttributeAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSValueLayerAdapter

    public org.eclipse.emf.common.notify.Adapter createSValueLayerAdapter()

  This creates an adapter for a `SValueLayer`.

  Overrides:
    `createSValueLayerAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSStyle3DAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyle3DAdapter()

  This creates an adapter for a `SStyle3D`.

  Overrides:
    `createSStyle3DAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSStyle2DAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyle2DAdapter()

  This creates an adapter for a `SStyle2D`.

  Overrides:
    `createSStyle2DAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSStyleShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyleShapeAdapter()

  This creates an adapter for a `SStyleShape`.

  Overrides:
    `createSStyleShapeAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSImplementationAdapter

    public org.eclipse.emf.common.notify.Adapter createSImplementationAdapter()

  This creates an adapter for a `SImplementation`.

  Overrides:
    `createSImplementationAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSStateAdapter

    public org.eclipse.emf.common.notify.Adapter createSStateAdapter()

  This creates an adapter for a `SState`.

  Overrides:
    `createSStateAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSStateValueAdapter

    public org.eclipse.emf.common.notify.Adapter createSStateValueAdapter()

  This creates an adapter for a `SStateValue`.

  Overrides:
    `createSStateValueAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSNetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createSNetworkAdapter()

  This creates an adapter for a `SNetwork`.

  Overrides:
    `createSNetworkAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSAttributeArrayAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributeArrayAdapter()

  This creates an adapter for a `SAttributeArray`.

  Overrides:
    `createSAttributeArrayAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSGridAdapter

    public org.eclipse.emf.common.notify.Adapter createSGridAdapter()

  This creates an adapter for a `SGrid`.

  Overrides:
    `createSGridAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSGeographyAdapter

    public org.eclipse.emf.common.notify.Adapter createSGeographyAdapter()

  This creates an adapter for a `SGeography`.

  Overrides:
    `createSGeographyAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### createSContinuousSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createSContinuousSpaceAdapter()

  This creates an adapter for a `SContinuousSpace`.

  Overrides:
    `createSContinuousSpaceAdapter` in class `org.metaabm.util.MetaABMAdapterFactory`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.metaabm.util.MetaABMAdapterFactory`

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

### getGenericAdapterFactory

    public static org.eclipse.emf.common.notify.AdapterFactory getGenericAdapterFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD